diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 8d2908c34d..d274d048ec 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -2323,7 +2323,10 @@ VALUES ('New York', NULL, NULL, 'NY');
    access privilege checking.  This preserves the appearance that the
    data is (also) in the parent table.  Accessing the child tables
    directly is, however, not automatically allowed and would require
-   further privileges to be granted.
+   further privileges to be granted.  One exception to this rule is
+   <command>TRUNCATE</command> command, where permissions on the child tables
+   are always checked, whether they are truncated directly or recursively via
+   <command>TRUNCATE</command> performed on the parent table.
   </para>
 
  <sect2 id="ddl-inherit-caveats">
